rm(list=ls())

require(magrittr)
require(tidyverse)
require(stringr)

data.dir <- "Fall 2017"
## Fall 2017 directory içinde, her öğrencinin id'sisi taşıyan
## subdirectory var. Her birinin içerisinde laptops.csv ve
## laptops-hepsiburada.csv dosyaları vardı.

dirs <- list.files(data.dir)
for (i in seq(along=dirs)) {
    stuID <- dirs[i]
    file.names <- list.files(file.path(data.dir, stuID))
    new.file.names <- str_replace_all(file.names, "laptops",stuID)
    ## file.names %>% str_split("\\.", simplify=TRUE)
    file.rename(file.path(data.dir, stuID, file.names),
                file.path(data.dir, stuID, new.file.names))
    if(all(file.copy(file.path(data.dir, stuID, new.file.names)),
                 file.path(data.dir, new.file.names)))
        file.remove(file.path(data.dir, stuID, new.file.names))
       
}
